# Create a directory

Launch stage: Public Preview

`PUT /api/2.0/fs/directories{directory_path}`

Creates an empty directory. If necessary, also creates any parent directories of the
 new, empty directory (like the shell command `mkdir -p`). If called on an existing
 directory, returns a success response; this method is idempotent (it will succeed if the directory already
 exists).

API scopes: files

## Path parameters

- `directory_path` (string, required)
  The absolute path of a directory.
  Example: `/Volumes/my-catalog/my-schema/my-volume/directory/` : A directory

## Responses

### 204

Request successful, but no content returned.

## Response

```json
{}
```
